<div class="main">
  <div class="top">
    <p class="header" *ngIf='resultFound()'>{{currentWeather.name}}</p>
  </div>
  <div class="flex">
    <p class="day">{{dayOfTheWeek}}, <span>{{date}}</span></p>
    <p class="description">{{currentWeather.weather[0].main}}</p>
  </div>
  <div class="flex">
    <p class="temp">Temperature: {{currentWeather.main?.temp | number:'1.0-0'}} &deg;C</p>
    <p class="temp">Humidity: {{currentWeather.main?.humidity}} %</p>
  </div>
  <div class="flex">
    <p class="sunrise-sunset">Sunrise: {{sunrise}}</p>
    <p class="sunrise-sunset">Sunset: {{sunset}}</p>
  </div>
</div>

<div *ngIf='!resultFound()'>
  <h1 class="center">{{msg || 'Failed to get weather.'}}</h1>
</div>